Jump to content
linuxserver.io

[Support] Linuxserver.io - Sickgear

7 posts in this topic Last Reply

Recommended Posts

linuxserver_medium.thumb.png.baec549f7f68dcc41ae59d2cdd5d9be8.png

Application Name: Sickgear

Application Site: https://github.com/SickGear/SickGear

Docker Hub: https://hub.docker.com/r/linuxserver/sickgear/

Github: https://github.com/linuxserver/docker-sickgear

 

Please post any questions/issues relating to this docker you have in this thread.

 

If you are not using Unraid (and you should be!) then please do not post here, instead head to linuxserver.io to see how to get support.

Share this post


Link to post

Sickbeard, Sickrage, Medusa and Sickrage..... I know there were rifts, splits, and terse words.

 

I could not find a "history" for SickGear... Where does it fit in the chronology?

 

I am on Medusa.

Thank you Linuxserver.io!!!

 

Share this post


Link to post
17 hours ago, hernandito said:

Sickbeard, Sickrage, Medusa and Sickrage..... I know there were rifts, splits, and terse words.

 

I could not find a "history" for SickGear... Where does it fit in the chronology?

 

I am on Medusa.

Thank you Linuxserver.io!!!

 

I dunno, I get confused.....

Share this post


Link to post

Is there a way to have SickGear scan existing shows in  /tv folder?

 

Found "import" under the manage menu. I was expecting to find it under the config section.

Edited by swingline

Share this post


Link to post

I have a problem with this docker, I was able to setup everything but I can't get SickBeard to detect the downloaded file in my p2p client folder (Transmission) once it has been snatched and is completely downloaded. I've triple checked the path to the show in /tv is ok, the path to the /downloads is also good (Also remoted to the server and the downloaded file is sitting there, but SickBeard can't see it and remains blocked at "snatched xh, xm ago. file not found. change to Skipped ?")

 

 

Share this post


Link to post

Since a week or two SickGear is broken on my unraid server (V6.8.3). 
I constantly get the following error:

 

2020-06-25 18:22:52 WARNING SG_HELPER :: Exception caught while loading URL https://api.thetvdb.com/search/series 1) Detail... Function not implemented 2) Traceback (most recent call last): 3) File "/app/sickgear/lib/lockfile/linklockfile.py", line 33, in acquire 4) os.link(self.unique_name, self.lock_file) 5) OSError: [Errno 38] Function not implemented: '/config/cache/sessions/b/9/a/7/a/Tower-27c20b20.248-4914351849232010613' -> '/config/cache/sessions/b/9/a/7/a/b9a7ab519f0cc11cd4fe903dbcb277f70ccda0f916ebbe46b51cd9aa.lock' 6) During handling of the above exception, another exception occurred: 7) Traceback (most recent call last): 8) File "/app/sickgear/lib/sg_helpers.py", line 299, in get_url 9) response = session.get(url, timeout=timeout, **kwargs) 10) File "/app/sickgear/lib/requests/sessions.py", line 550, in get 11) return self.request('GET', url, **kwargs) 12) File "/app/sickgear/lib/requests/sessions.py", line 537, in request 13) resp = self.send(prep, **send_kwargs) 14) File "/app/sickgear/lib/requests/sessions.py", line 690, in send 15) r.content 16) File "/app/sickgear/lib/requests/models.py", line 842, in content 17) self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b'' 18) File "/app/sickgear/lib/requests/models.py", line 755, in generate 19) for chunk in self.raw.stream(chunk_size, decode_content=True): 20) File "/app/sickgear/lib/urllib3/response.py", line 564, in stream 21) data = self.read(amt=amt, decode_content=decode_content) 22) File "/app/sickgear/lib/urllib3/response.py", line 507, in read 23) data = self._fp.read(amt) if not fp_closed else b"" 24) File "/app/sickgear/lib/cachecontrol/filewrapper.py", line 65, in read 25) self._close() 26) File "/app/sickgear/lib/cachecontrol/filewrapper.py", line 52, in _close 27) self.__callback(self.__buf.getvalue()) 28) File "/app/sickgear/lib/cachecontrol/controller.py", line 325, in cache_response 29) self.cache.set( 30) File "/app/sickgear/lib/cachecontrol/caches/file_cache.py", line 126, in set 31) with self.lock_class(name) as lock: 32) File "/app/sickgear/lib/lockfile/__init__.py", line 238, in __enter__ 33) self.acquire() 34) File "/app/sickgear/lib/lockfile/linklockfile.py", line 36, in acquire 35) raise LockFailed('%s' % e.strerror) 36) lockfile.LockFailed: Function not implemented

 

does somebody know what is causing this ?

Share this post


Link to post

Oh never mind, I had SMB performance issues a couple weeks ago and the recommendation on this forum was to disable hardlinks. 
Reverting that solved the error. 

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.